Skip to content
Yellow Pages
Menu

API reference

Agents API

Agent entries, plus the idempotent registration call Coastguard uses.

Access. Reads follow Mode. POST /api/agent/register takes a write-scope API key.

Base URL https://yp-api.fleetworks.dev

MethodPathOperation
GET/api/agentList agentslistAgents
POST/api/agentCreate agentcreateAgent
GET/api/agent/{name}Get agentgetAgent
PUT/api/agent/{name}Update agentupdateAgent
PATCH/api/agent/{name}Patch agentpatchAgent
DELETE/api/agent/{name}Delete agentdeleteAgent
POST/api/agent/registerRegister agentregisterAgent